summaryrefslogtreecommitdiffstats
path: root/scripts/prepare_test_yard/build_run_test.sh
diff options
context:
space:
mode:
authorChristopher Price <christopher.price@ericsson.com>2016-09-20 08:43:07 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-09-20 08:43:07 +0000
commit12ccdb880573fc7efc90bb34313d3ff2768e7f76 (patch)
tree434725455c774a843cecf570680f5e929c8c7b9a /scripts/prepare_test_yard/build_run_test.sh
parenta4a2f38ff554089fe72136a9f933d57c33f16d71 (diff)
parentcb55f6dbfe4867e4d232f51b5a32764f82d2399b (diff)
Merge "add prototype of dovetail tool"
Diffstat (limited to 'scripts/prepare_test_yard/build_run_test.sh')
-rwxr-xr-xscripts/prepare_test_yard/build_run_test.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/prepare_test_yard/build_run_test.sh b/scripts/prepare_test_yard/build_run_test.sh
new file mode 100755
index 00000000..91ac589e
--- /dev/null
+++ b/scripts/prepare_test_yard/build_run_test.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -e
+
+cd /home/opnfv/repos/yardstick
+
+source /tmp/yardstick/source_env.sh
+
+echo "========== Build the flavor and load images =========="
+source /tmp/yardstick/build_flavor_image.sh
+
+echo "========== Run yardstick testcase =========="
+cmd="yardstick task start /home/opnfv/repos/yardstick/tests/opnfv/test_cases/$1 \
+ --output-file $2"
+${cmd}